log_stream_uniq.hpp File Reference

A log stream that does not output successively the same message. More...

`#include <string>`
`#include <claw/log_stream.hpp>`

Go to the source code of this file.

## Classes

class | claw::log_stream_uniq
| A log stream that does not output successively the same message. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Detailed Description

A log stream that does not output successively the same message.

Author
  Julien Jorge

Definition in file log_stream_uniq.hpp.

## Macro Definition Documentation

## CLAW_LOGGER_EXPORT

#define CLAW_LOGGER_EXPORT

Definition at line 47 of file log_stream_uniq.hpp.